Bug 145813 - Private channel still visable to users who don't have subscription possibilites
Private channel still visable to users who don't have subscription possibilites
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
360
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2005-01-21 15:39 EST by nathan r. hruby
Modified: 2011-01-05 17:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-05 17:28:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description nathan r. hruby 2005-01-21 15:39:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:

Maybe this is a bug, but maybe it's an RFE.. please feel free to mark
it as enhancement if needed.

Marking a software channel as private (eg: not globally subscribable)
still yeilds a channel that plain old regular users can see and
manually download RPM's from.  This seems silly, it should be hidden
from anyone who doesn't have the Channel Admin ACL or is listed as a
subscriber by the Channel Admin.  

Current behavior makes it impossible to distribute site licensed RPM's
on any Satellite that serves more than one site or do anything with a
package that should only be seen by a select few.

Version-Release number of selected component (if applicable):
sat360embed

How reproducible:
Always

Steps to Reproduce:
1.  Make a new Software Channel
2.  Mark it non-global
3.  See if a normal user can see said channel
    

Actual Results:  User sees channel and packages contained within

Expected Results:  User should not be presented with channel or packages

Additional info:
Comment 2 Mike Orazi 2008-10-21 04:02:27 EDT
Moving to satellite
Comment 4 Clifford Perry 2011-01-05 17:28:22 EST
The RHN Satellite 4.x and RHN Proxy 4.x products have reached their end of life. Please see:

Satellite 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0001.html

RHN Proxy 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0002.html

This bugzilla was reported for a product which is no longer supported. As such we are closing this bugzilla out. If you feel this bug report should be reviewed again since it is valid for a currently supported product version, then please feel free to re-open this bug report. 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.